From cf8e1fc9318095bd75daffa1b469db263e2852ad Mon Sep 17 00:00:00 2001
From: root <root@chippy.(none)>
Date: Thu, 8 May 2014 14:43:07 -0400
Subject: [PATCH] changed selinux_policytype.sh to properly enable mls policy.
 Before changes, script changed the /etc/selinux/config, but did not complete other critical steps

---
 RHEL/6/input/fixes/bash/selinux_policytype.sh |   19 ++++++++++++++++++-
 1 files changed, 18 insertions(+), 1 deletions(-)
 mode change 120000 => 100755 RHEL/6/input/fixes/bash/selinux_policytype.sh

diff --git a/RHEL/6/input/fixes/bash/selinux_policytype.sh b/RHEL/6/input/fixes/bash/selinux_policytype.sh
deleted file mode 120000
index 3f2ba07..0000000
--- a/RHEL/6/input/fixes/bash/selinux_policytype.sh
+++ /dev/null
@@ -1 +0,0 @@
-../../../../../shared/fixes/bash/selinux_policytype.sh
\ No newline at end of file
diff --git a/RHEL/6/input/fixes/bash/selinux_policytype.sh b/RHEL/6/input/fixes/bash/selinux_policytype.sh
new file mode 100755
index 0000000..0cd6360
--- /dev/null
+++ b/RHEL/6/input/fixes/bash/selinux_policytype.sh
@@ -0,0 +1,18 @@
+source ./templates/support.sh
+populate var_selinux_policy_name
+
+if [ $var_selinux_policy_name == "mls" ]; then
+yum -y install policycoreutils-python-2.0.83-19.39.el6.x86_64  install selinux-policy-mls install setools install netlabel_tools install mcstrans install audit-libs-python install selinux-policy-minimum install libsemanage-python install policycoreutils-python install setools-libs-python install setools-console
+touch /.autorelabel
+sed -i 's/id:5:initdefault:/id:3:initdefault:/g' /etc/inittab
+sed -i 's/SELINUX=enforcing/SELINUX=permissive/g' /etc/selinux/config
+sed -i 's/SELINUXTYPE=targeted/SELINUXTYPE=mls/g' /etc/selinux/config
+fi
+if [ $var_selinux_policy_name == "targeted" ]; then
+grep -q ^SELINUXTYPE /etc/selinux/config && \
+  sed -i "s/SELINUXTYPE=.*/SELINUXTYPE=$var_selinux_policy_name/g" /etc/selinux/config
+if ! [ $? -eq 0 ]; then
+    echo "SELINUXTYPE=$var_selinux_policy_name" >> /etc/selinux/config
+fi
+fi
+
-- 
1.7.1

